/*
 * $Id: Component_get_entity.cpp 81 2008-04-15 18:40:01Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Component.h"

namespace morpheo              {
namespace behavioural          {

#undef  FUNCTION
#define FUNCTION "Component::get_entity"
  std::string Component::get_entity (void)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");

    std::ostringstream text;
    text << *(_entity); 

    log_printf(FUNC,Behavioural,FUNCTION,"End");

    return text.str();
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
